Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.abstracttable
Class AbstractTableWidgetState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.util.AbstractWidgetState
              edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
                  edu.stanford.smi.protegex.widget.abstracttable.AbstractTableWidgetState

Direct Known Subclasses:
  InstanceTableWidgetState, ScatterboxWidgetState

    public abstract class AbstractTableWidgetState

extends ButtonRelatedWidgetState

State consists of three things-- A set of visible slot descriptions An ordering on visible slot descriptions Information on the global editing model of the widget In addition, we have an extensive query API (so that the associated TableModel is fairly simple) Adds information to button related information state (1) is inplace editing supported (2) if so, which cell editors to use For frame there is a choice of two editors (1) combobox containing all matching instances (2) protege dialog

Author:
  William Grosso

Field Summary
`protected String` | `_dialogTitleForSelectingClasses`
`protected String` | `_dialogTitleForSelectingInstances`
`protected boolean` | `_editInPlace`
`protected boolean` | `_useDialogToSelectClasses`
`protected boolean` | `_useDialogToSelectInstances`
`protected static String` | `DEFAULT_DIALOG_TITLE_FOR_SELECTING_CLASSES`
`protected static String` | `DEFAULT_DIALOG_TITLE_FOR_SELECTING_INSTANCES`
`protected static String` | `DIALOG_TITLE_FOR_SELECTING_CLASSES`
`protected static String` | `DIALOG_TITLE_FOR_SELECTING_INSTANCES`
`protected static String` | `IN_PLACE_EDITING`
`protected static String` | `USE_DIALOG_TO_SELECT_CLASSES`
`protected static String` | `USE_DIALOG_TO_SELECT_INSTANCES`

Fields inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`_addInstanceButtonTooltip, _addInstanceDialogTitle, _createInstanceButtonTooltip, _createInstanceDialogTitle, _deleteInstanceButtonTooltip, _displayAddInstanceButton, _displayCreateInstanceButton, _displayDeleteInstanceButton, _displayMoveInstanceButtons, _displayPrototypeButton, _displayRemoveInstanceButton, _displayViewInstanceButton, _moveInstanceButtonsTooltip, _prototypeButtonTooltip, _prototypeDepth, _removeInstanceButtonTooltip, _viewInstanceButtonTooltip, ADD_INSTANCE_BUTTON_TOOLTIP, ADD_INSTANCE_BUTTON_TOOLTIP_DEFAULT, ADD_INSTANCE_DIALOG_TITLE, ADD_INSTANCE_DIALOG_TITLE_DEFAULT, CREATE_INSTANCE_BUTTON_TOOLTIP, CREATE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, CREATE_INSTANCE_DIALOG_TITLE, CREATE_INSTANCE_DIALOG_TITLE_DEFAULT, DELETE_INSTANCE_BUTTON_TOOLTIP, DELETE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, DISPLAY_ADD_INSTANCE_BUTTON, DISPLAY_CREATE_INSTANCE_BUTTON, DISPLAY_DELETE_INSTANCE_BUTTON, DISPLAY_MOVE_INSTANCE_BUTTONS, DISPLAY_PROTOTYPE_BUTTON, DISPLAY_REMOVE_INSTANCE_BUTTON, DISPLAY_VIEW_INSTANCE_BUTTON, MOVE_INSTANCE_BUTTONS_TOOLTIP, MOVE_INSTANCE_BUTTONS_TOOLTIP_DEFAULT, PROTOTYPE_BUTTON_TOOLTIP, PROTOTYPE_BUTTON_TOOLTIP_DEFAULT, PROTOTYPE_DEPTH, REMOVE_INSTANCE_BUTTON_TOOLTIP, REMOVE_INSTANCE_BUTTON_TOOLTIP_DEFAULT, VIEW_INSTANCE_BUTTON_TOOLTIP, VIEW_INSTANCE_BUTTON_TOOLTIP_DEFAULT`

Fields inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`_properties`

Constructor Summary
`AbstractTableWidgetState(PropertyList properties)`

Method Summary
`abstract void` | `dispose()`
`String` | `getDialogTitleForSelectingClasses()`
`String` | `getDialogTitleForSelectingInstances()`
`boolean` | `isEditInPlace()`
`boolean` | `isUseDialogToSelectClasses()`
`boolean` | `isUseDialogToSelectInstances()`
`void` | `restore()`
`void` | `save()`
`void` | `setDialogTitleForSelectingClasses(String dialogTitleForSelectingClasses)`
`void` | `setDialogTitleForSelectingInstances(String dialogTitleForSelectingInstances)`
`void` | `setDisplayAddInstanceButton(boolean displayAddInstanceButton)`
`void` | `setDisplayAddInstanceButton(Boolean displayAddInstanceButton)`
`void` | `setDisplayCreateInstanceButton(boolean displayCreateInstanceButton)`
`void` | `setDisplayCreateInstanceButton(Boolean displayCreateInstanceButton)`
`void` | `setDisplayRemoveInstanceButton(boolean displayRemoveInstanceButton)`
`void` | `setDisplayRemoveInstanceButton(Boolean displayRemoveInstanceButton)`
`void` | `setDisplayViewInstanceButton(boolean displayViewInstanceButton)`
`void` | `setDisplayViewInstanceButton(Boolean displayViewInstanceButton)`
`void` | `setEditInPlace(boolean editInPlace)`
`void` | `setEditInPlace(Boolean editInPlace)`
`void` | `setUseDialogToSelectClasses(boolean useDialogToSelectClasses)`
`void` | `setUseDialogToSelectClasses(Boolean useDialogToSelectClasses)`
`void` | `setUseDialogToSelectInstances(boolean useDialogToSelectInstances)`
`void` | `setUseDialogToSelectInstances(Boolean useDialogToSelectInstances)`

Methods inherited from class edu.stanford.smi.protegex.util.ButtonRelatedWidgetState
`getAddInstanceButtonTooltip, getAddInstanceDialogTitle, getCreateInstanceButtonTooltip, getCreateInstanceDialogTitle, getDeleteInstanceButtonTooltip, getMoveInstanceDownTooltip, getMoveInstanceTooltip, getMoveInstanceUpTooltip, getPrototypeButtonTooltip, getPrototypeDepth, getRemoveInstanceButtonTooltip, getViewInstanceButtonTooltip, isDisplayAddInstanceButton, isDisplayCreateInstanceButton, isDisplayDeleteInstanceButton, isDisplayMoveInstanceButtons, isDisplayPrototypeButton, isDisplayRemoveInstanceButton, isDisplayViewInstanceButton, setAddInstanceButtonTooltip, setAddInstanceDialogTitle, setCreateInstanceButtonTooltip, setCreateInstanceDialogTitle, setDeleteInstanceButtonTooltip, setDisplayDeleteInstanceButton, setDisplayDeleteInstanceButton, setDisplayMoveInstanceButtons, setDisplayPrototypeButton, setDisplayPrototypeButton, setMoveInstanceButtonsTooltip, setPrototypeButtonTooltip, setPrototypeDepth, setPrototypeDepth, setRemoveInstanceButtonTooltip, setViewInstanceButtonTooltip`

Methods inherited from class edu.stanford.smi.protegex.util.AbstractWidgetState
`broadcast, isCustomized, readBoolean, readInt, readString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _editInPlace

    protected boolean _editInPlace

### _useDialogToSelectInstances

    protected boolean _useDialogToSelectInstances

### _useDialogToSelectClasses

    protected boolean _useDialogToSelectClasses

### _dialogTitleForSelectingInstances

    protected String _dialogTitleForSelectingInstances

### _dialogTitleForSelectingClasses

    protected String _dialogTitleForSelectingClasses

### IN_PLACE_EDITING

    protected static final String IN_PLACE_EDITING

See Also:
  Constant Field Values

### USE_DIALOG_TO_SELECT_INSTANCES

    protected static final String USE_DIALOG_TO_SELECT_INSTANCES

See Also:
  Constant Field Values

### USE_DIALOG_TO_SELECT_CLASSES

    protected static final String USE_DIALOG_TO_SELECT_CLASSES

See Also:
  Constant Field Values

### DIALOG_TITLE_FOR_SELECTING_INSTANCES

    protected static final String DIALOG_TITLE_FOR_SELECTING_INSTANCES

See Also:
  Constant Field Values

### DIALOG_TITLE_FOR_SELECTING_CLASSES

    protected static final String DIALOG_TITLE_FOR_SELECTING_CLASSES

See Also:
  Constant Field Values

### DEFAULT_DIALOG_TITLE_FOR_SELECTING_INSTANCES

    protected static final String DEFAULT_DIALOG_TITLE_FOR_SELECTING_INSTANCES

See Also:
  Constant Field Values

### DEFAULT_DIALOG_TITLE_FOR_SELECTING_CLASSES

    protected static final String DEFAULT_DIALOG_TITLE_FOR_SELECTING_CLASSES

See Also:
  Constant Field Values

Constructor Detail

### AbstractTableWidgetState

    public AbstractTableWidgetState(PropertyList properties)

Method Detail

### dispose

    public abstract void dispose()

  Overrides:
    `dispose` in class `ButtonRelatedWidgetState`

### getDialogTitleForSelectingClasses

    public String getDialogTitleForSelectingClasses()

### getDialogTitleForSelectingInstances

    public String getDialogTitleForSelectingInstances()

### isEditInPlace

    public boolean isEditInPlace()

### isUseDialogToSelectClasses

    public boolean isUseDialogToSelectClasses()

### isUseDialogToSelectInstances

    public boolean isUseDialogToSelectInstances()

### restore

    public void restore()

  Overrides:
    `restore` in class `ButtonRelatedWidgetState`

### save

    public void save()

  Overrides:
    `save` in class `ButtonRelatedWidgetState`

### setDialogTitleForSelectingClasses

    public void setDialogTitleForSelectingClasses(String dialogTitleForSelectingClasses)

### setDialogTitleForSelectingInstances

    public void setDialogTitleForSelectingInstances(String dialogTitleForSelectingInstances)

### setDisplayAddInstanceButton

    public void setDisplayAddInstanceButton(Boolean displayAddInstanceButton)

  Overrides:
    `setDisplayAddInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayAddInstanceButton

    public void setDisplayAddInstanceButton(boolean displayAddInstanceButton)

  Overrides:
    `setDisplayAddInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayCreateInstanceButton

    public void setDisplayCreateInstanceButton(Boolean displayCreateInstanceButton)

  Overrides:
    `setDisplayCreateInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayCreateInstanceButton

    public void setDisplayCreateInstanceButton(boolean displayCreateInstanceButton)

  Overrides:
    `setDisplayCreateInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayRemoveInstanceButton

    public void setDisplayRemoveInstanceButton(Boolean displayRemoveInstanceButton)

  Overrides:
    `setDisplayRemoveInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayRemoveInstanceButton

    public void setDisplayRemoveInstanceButton(boolean displayRemoveInstanceButton)

  Overrides:
    `setDisplayRemoveInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayViewInstanceButton

    public void setDisplayViewInstanceButton(Boolean displayViewInstanceButton)

  Overrides:
    `setDisplayViewInstanceButton` in class `ButtonRelatedWidgetState`

### setDisplayViewInstanceButton

    public void setDisplayViewInstanceButton(boolean displayViewInstanceButton)

  Overrides:
    `setDisplayViewInstanceButton` in class `ButtonRelatedWidgetState`

### setEditInPlace

    public void setEditInPlace(Boolean editInPlace)

### setEditInPlace

    public void setEditInPlace(boolean editInPlace)

### setUseDialogToSelectClasses

    public void setUseDialogToSelectClasses(Boolean useDialogToSelectClasses)

### setUseDialogToSelectClasses

    public void setUseDialogToSelectClasses(boolean useDialogToSelectClasses)

### setUseDialogToSelectInstances

    public void setUseDialogToSelectInstances(Boolean useDialogToSelectInstances)

### setUseDialogToSelectInstances

    public void setUseDialogToSelectInstances(boolean useDialogToSelectInstances)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request